diff --git a/src/Lunr/Corona/Tests/CompactJsonViewTest.php b/src/Lunr/Corona/Tests/CompactJsonViewTest.php
index 5ad7c681079a51ba94762cfa07a77388cf21c2af..6baeeb4ee93fc9e98a65c07900b37c0957bbd09c 100644
--- a/src/Lunr/Corona/Tests/CompactJsonViewTest.php
+++ b/src/Lunr/Corona/Tests/CompactJsonViewTest.php
@@ -49,9 +49,9 @@ abstract class CompactJsonViewTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->response      = $this->getMock('Lunr\Corona\Response');
-        $this->request       = $this->getMock('Lunr\Corona\RequestInterface');
-        $this->configuration = $this->getMock('Lunr\Core\Configuration');
+        $this->response      = $this->getMockBuilder('Lunr\Corona\Response')->getMock();
+        $this->request       = $this->getMockBuilder('Lunr\Corona\RequestInterface')->getMock();
+        $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
         $this->class      = new CompactJsonView($this->request, $this->response, $this->configuration);
         $this->reflection = new ReflectionClass('Lunr\Corona\CompactJsonView');
diff --git a/src/Lunr/Corona/Tests/ControllerTest.php b/src/Lunr/Corona/Tests/ControllerTest.php
index 1a19574074e3a28fbd25bed50fc4b591f4156b34..be07cf8df78cfc4684bea02bdc7f6b22d69c1566 100644
--- a/src/Lunr/Corona/Tests/ControllerTest.php
+++ b/src/Lunr/Corona/Tests/ControllerTest.php
@@ -41,8 +41,8 @@ abstract class ControllerTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->response = $this->getMock('Lunr\Corona\Response');
-        $this->request  = $this->getMock('Lunr\Corona\RequestInterface');
+        $this->response = $this->getMockBuilder('Lunr\Corona\Response')->getMock();
+        $this->request  = $this->getMockBuilder('Lunr\Corona\RequestInterface')->getMock();
 
         $this->class = $this->getMockBuilder('Lunr\Corona\Controller')
                             ->setConstructorArgs([$this->request, $this->response])
diff --git a/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php b/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php
index b680690ccd7582c4abc19ee9ae5c06a5ebf6be4b..3c99b07fc6e6948a52bd2491d2ef8f8aab98ed4c 100644
--- a/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php
+++ b/src/Lunr/Corona/Tests/FrontControllerDispatchTest.php
@@ -28,7 +28,7 @@ class FrontControllerDispatchTest extends FrontControllerTest
      */
     function testDispatchWithInstantiatedController()
     {
-        $controller = $this->getMock('Lunr\Corona\Tests\MockController');
+        $controller = $this->getMockBuilder('Lunr\Corona\Tests\MockController')->getMock();
 
         $this->request->expects($this->at(0))
                       ->method('__get')
diff --git a/src/Lunr/Corona/Tests/FrontControllerTest.php b/src/Lunr/Corona/Tests/FrontControllerTest.php
index ad24f61e67031e91857adc6f03483adfd4115f53..32b18e2c3662be9b56ca8725b1377115e4d899bc 100644
--- a/src/Lunr/Corona/Tests/FrontControllerTest.php
+++ b/src/Lunr/Corona/Tests/FrontControllerTest.php
@@ -44,9 +44,9 @@ abstract class FrontControllerTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->request = $this->getMock('Lunr\Corona\RequestInterface');
+        $this->request = $this->getMockBuilder('Lunr\Corona\RequestInterface')->getMock();
 
-        $this->fao = $this->getMock('Lunr\Gravity\Filesystem\FilesystemAccessObjectInterface');
+        $this->fao = $this->getMockBuilder('Lunr\Gravity\Filesystem\FilesystemAccessObjectInterface')->getMock();
 
         $this->class = new FrontController($this->request, $this->fao);
 
diff --git a/src/Lunr/Corona/Tests/HTMLViewTest.php b/src/Lunr/Corona/Tests/HTMLViewTest.php
index 189b56b081b360e7309cefd64da21dbfe86b03a7..4a9e03b6f2039adc4f705eb746b06665d18b98e9 100644
--- a/src/Lunr/Corona/Tests/HTMLViewTest.php
+++ b/src/Lunr/Corona/Tests/HTMLViewTest.php
@@ -52,11 +52,11 @@ abstract class HTMLViewTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->configuration = $this->getMock('Lunr\Core\Configuration');
+        $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
-        $this->request = $this->getMock('Lunr\Corona\RequestInterface');
+        $this->request = $this->getMockBuilder('Lunr\Corona\RequestInterface')->getMock();
 
-        $this->response = $this->getMock('Lunr\Corona\Response');
+        $this->response = $this->getMockBuilder('Lunr\Corona\Response')->getMock();
 
         $this->class = $this->getMockBuilder('Lunr\Corona\HTMLView')
                            ->setConstructorArgs([$this->request, $this->response, $this->configuration])
diff --git a/src/Lunr/Corona/Tests/JsonViewTest.php b/src/Lunr/Corona/Tests/JsonViewTest.php
index 376ea9e9fc4549efe72a16b4b61e88ca683c0b4a..dec36818bc8ad7b9cc59be05c753e2fa8a219faf 100644
--- a/src/Lunr/Corona/Tests/JsonViewTest.php
+++ b/src/Lunr/Corona/Tests/JsonViewTest.php
@@ -49,9 +49,9 @@ abstract class JsonViewTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->response      = $this->getMock('Lunr\Corona\Response');
-        $this->request       = $this->getMock('Lunr\Corona\RequestInterface');
-        $this->configuration = $this->getMock('Lunr\Core\Configuration');
+        $this->response      = $this->getMockBuilder('Lunr\Corona\Response')->getMock();
+        $this->request       = $this->getMockBuilder('Lunr\Corona\RequestInterface')->getMock();
+        $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
         $this->class      = new JsonView($this->request, $this->response, $this->configuration);
         $this->reflection = new ReflectionClass('Lunr\Corona\JsonView');
diff --git a/src/Lunr/Corona/Tests/RequestParserTest.php b/src/Lunr/Corona/Tests/RequestParserTest.php
index 2c2981684e4441e6d74746456b3f4e544c8205f8..dec6613b76a7e0bf4416578d85b932817028e2f1 100644
--- a/src/Lunr/Corona/Tests/RequestParserTest.php
+++ b/src/Lunr/Corona/Tests/RequestParserTest.php
@@ -39,7 +39,7 @@ abstract class RequestParserTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->configuration = $this->getMock('Lunr\Core\Configuration');
+        $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
         $this->class      = new RequestParser($this->configuration);
         $this->reflection = new ReflectionClass('Lunr\Corona\RequestParser');
diff --git a/src/Lunr/Corona/Tests/RequestTest.php b/src/Lunr/Corona/Tests/RequestTest.php
index 41c330467d50fd7df67eabb741c4b2bb53ad850e..c502dd263b658a8c0cdd1fb96b45aaf36262e053 100644
--- a/src/Lunr/Corona/Tests/RequestTest.php
+++ b/src/Lunr/Corona/Tests/RequestTest.php
@@ -54,7 +54,7 @@ abstract class RequestTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->parser = $this->getMock('Lunr\Corona\RequestParserInterface');
+        $this->parser = $this->getMockBuilder('Lunr\Corona\RequestParserInterface')->getMock();
 
         $this->parser->expects($this->once())
                      ->method('parse_request')
diff --git a/src/Lunr/Corona/Tests/ViewTest.php b/src/Lunr/Corona/Tests/ViewTest.php
index d4673ea9d414f6b656829df8a2b51dedec5b63a4..8cc4cf192e66768ccc8a0b089254d3dbe5cc3de7 100644
--- a/src/Lunr/Corona/Tests/ViewTest.php
+++ b/src/Lunr/Corona/Tests/ViewTest.php
@@ -58,9 +58,9 @@ abstract class ViewTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->sub_configuration = $this->getMock('Lunr\Core\Configuration');
+        $this->sub_configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
-        $this->configuration = $this->getMock('Lunr\Core\Configuration');
+        $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
 
         $map = array(
             array('path', $this->sub_configuration),
@@ -70,9 +70,9 @@ abstract class ViewTest extends LunrBaseTest
                       ->method('offsetGet')
                       ->will($this->returnValueMap($map));
 
-        $this->request = $this->getMock('Lunr\Corona\RequestInterface');
+        $this->request = $this->getMockBuilder('Lunr\Corona\RequestInterface')->getMock();
 
-        $this->response = $this->getMock('Lunr\Corona\Response');
+        $this->response = $this->getMockBuilder('Lunr\Corona\Response')->getMock();
 
         $this->class = $this->getMockBuilder('Lunr\Corona\View')
                            ->setConstructorArgs(
diff --git a/src/Lunr/Corona/Tests/WebRequestParserTest.php b/src/Lunr/Corona/Tests/WebRequestParserTest.php
index b11eb987b01bf6b3b2a6e608f2c28ccb22a17b03..a806b0266c1f7d6ae413589ac068cf98edfdce39 100644
--- a/src/Lunr/Corona/Tests/WebRequestParserTest.php
+++ b/src/Lunr/Corona/Tests/WebRequestParserTest.php
@@ -45,8 +45,8 @@ abstract class WebRequestParserTest extends LunrBaseTest
      */
     public function setUp()
     {
-        $this->configuration = $this->getMock('Lunr\Core\Configuration');
-        $this->header        = $this->getMock('http\Header');
+        $this->configuration = $this->getMockBuilder('Lunr\Core\Configuration')->getMock();
+        $this->header        = $this->getMockBuilder('http\Header')->getMock();
 
         $this->class      = new WebRequestParser($this->configuration, $this->header);
         $this->reflection = new ReflectionClass('Lunr\Corona\WebRequestParser');
